OpenCV: Feature Detection

| OpenCV 3.4.2 Open Source Computer Vision

Classes | Functions
Feature Detection
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Image Processing

## Classes
class | cv::cuda::CornernessCriteria
| Base class for Cornerness Criteria computation. : More...
class | cv::cuda::CornersDetector
| Base class for Corners Detector. : More...

## Functions
Ptr< CornersDetector > | cv::cuda::createGoodFeaturesToTrackDetector (int srcType, int maxCorners=1000, double qualityLevel=0.01, double minDistance=0.0, int blockSize=3, bool useHarrisDetector=false, double harrisK=0.04)
| Creates implementation for cuda::CornersDetector . More...
Ptr< CornernessCriteria > | cv::cuda::createHarrisCorner (int srcType, int blockSize, int ksize, double k, int borderType=BORDER_REFLECT101)
| Creates implementation for Harris cornerness criteria. More...
Ptr< CornernessCriteria > | cv::cuda::createMinEigenValCorner (int srcType, int blockSize, int ksize, int borderType=BORDER_REFLECT101)
| Creates implementation for the minimum eigen value of a 2x2 derivative covariation matrix (the cornerness criteria). More...

## Detailed Description

## Function Documentation

## ◆ createGoodFeaturesToTrackDetector()

Ptr<CornersDetector> cv::cuda::createGoodFeaturesToTrackDetector | ( | int | srcType,
|  | int | maxCorners = `1000`,
|  | double | qualityLevel = `0.01`,
|  | double | minDistance = `0.0`,
|  | int | blockSize = `3`,
|  | bool | useHarrisDetector = `false`,
|  | double | harrisK = `0.04`
| ) |  |

Creates implementation for cuda::CornersDetector .

Parameters

  srcType | Input source type. Only CV_8UC1 and CV_32FC1 are supported for now.
  maxCorners | Maximum number of corners to return. If there are more corners than are found, the strongest of them is returned.
  qualityLevel | Parameter characterizing the minimal accepted quality of image corners. The parameter value is multiplied by the best corner quality measure, which is the minimal eigenvalue (see cornerMinEigenVal ) or the Harris function response (see cornerHarris ). The corners with the quality measure less than the product are rejected. For example, if the best corner has the quality measure = 1500, and the qualityLevel=0.01 , then all the corners with the quality measure less than 15 are rejected.
  minDistance | Minimum possible Euclidean distance between the returned corners.
  blockSize | Size of an average block for computing a derivative covariation matrix over each pixel neighborhood. See cornerEigenValsAndVecs .
  useHarrisDetector | Parameter indicating whether to use a Harris detector (see cornerHarris) or cornerMinEigenVal.
  harrisK | Free parameter of the Harris detector.

## ◆ createHarrisCorner()

Ptr<CornernessCriteria> cv::cuda::createHarrisCorner | ( | int | srcType,
|  | int | blockSize,
|  | int | ksize,
|  | double | k,
|  | int | borderType = `BORDER_REFLECT101`
| ) |  |

Creates implementation for Harris cornerness criteria.

Parameters

  srcType | Input source type. Only CV_8UC1 and CV_32FC1 are supported for now.
  blockSize | Neighborhood size.
  ksize | Aperture parameter for the Sobel operator.
  k | Harris detector free parameter.
  borderType | Pixel extrapolation method. Only BORDER_REFLECT101 and BORDER_REPLICATE are supported for now.

See also
  cornerHarris

## ◆ createMinEigenValCorner()

Ptr<CornernessCriteria> cv::cuda::createMinEigenValCorner | ( | int | srcType,
|  | int | blockSize,
|  | int | ksize,
|  | int | borderType = `BORDER_REFLECT101`
| ) |  |

Creates implementation for the minimum eigen value of a 2x2 derivative covariation matrix (the cornerness criteria).

Parameters

  srcType | Input source type. Only CV_8UC1 and CV_32FC1 are supported for now.
  blockSize | Neighborhood size.
  ksize | Aperture parameter for the Sobel operator.
  borderType | Pixel extrapolation method. Only BORDER_REFLECT101 and BORDER_REPLICATE are supported for now.

See also
  cornerMinEigenVal